Skip to main content
GET
/
flow-runs
/
{id}
/
nodes
/
{nodeKey}
/
runs
/
{nodeRunId}
Get specific node run
curl --request GET \
  --url https://api.getmembrane.com/flow-runs/{id}/nodes/{nodeKey}/runs/{nodeRunId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "upstreamRuns": [
    {
      "nodeKey": "<string>",
      "runId": "<string>",
      "outputId": "<string>"
    }
  ],
  "input": {},
  "status": "completed",
  "logs": [
    {}
  ],
  "outputs": [
    {
      "id": "<string>",
      "downstreamRuns": [
        {
          "runId": "<string>",
          "nodeKey": "<string>"
        }
      ]
    }
  ],
  "errors": [
    {
      "message": "<string>",
      "type": "bad_request",
      "key": "<string>",
      "data": {},
      "stack": {},
      "causedByError": "<unknown>",
      "logs": [
        {}
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
nodeKey
string
required
nodeRunId
string
required

Response

200 - application/json
id
string
required
upstreamRuns
object[]
required
input
object
required
status
enum<string>
required
Available options:
completed,
failed,
skipped
logs
object[]
required
outputs
object[]
required
errors
object[]
required